## python-tz 2010b

=== debian/changelog ===
python-tz (2010b-1ubuntu1.1) oneiric-proposed; urgency=low

  [ Forest Bond ]
  * Add patch samoa-idl (LP: #885163).

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 09 Jan 2012 22:09:43 +0200

python-tz (2010b-1ubuntu1) oneiric; urgency=low

  * debian/patches/tzdata: remove import of pkg_resources (Closes: #599047)
  * Switch to dh_python2 (LP: #831411, Closes: #617041).
  * Switch to source format 3.0 (quilt)
  * debian/control: build-depend on python-all (not -dev).

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 23 Aug 2011 18:14:25 +0300

python-tz (2010b-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 27 Jan 2010 18:33:59 +0100

python-tz (2009u-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 06 Jan 2010 15:17:35 +0100

python-tz (2009p-1) unstable; urgency=low

  [ Brian Sutherland ]
  * Apply modified patch from Kumar Appaiah to use Use
    /usr/share/python/python.mk to allow building on python2.6.
    (Closes: #547857)

  [ Fabio Tranchitella ]
  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 10:00:03 +0100

python-tz (2009n-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 12 Oct 2009 06:46:27 +0000

python-tz (2009l-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.3, no changed required.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 28 Aug 2009 11:26:15 +0200

python-tz (2009g-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Standards-Version: 3.8.1, no changes needed.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 04 Jun 2009 13:27:25 +0200

python-tz (2009d-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 27 Mar 2009 14:24:43 +0100

python-tz (2009a-1) unstable; urgency=low

  * New upstream release.
  * debian/control: set priority to optional. (Closes: #510028)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 27 Feb 2009 18:49:49 +0100

python-tz (2008i-1) unstable; urgency=low

  * New uptsream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 18 Nov 2008 21:12:44 +0100

python-tz (2008h-1) unstable; urgency=low

  * New upstream version.
    - Fixes lookup errors with unknown timezones (error setting US/Pacific-New
      timezone. LP: #244681).
  * debian/copyright: Update copyright year and download location.
  * debian/control: Update homepage.

 -- Matthias Klose <doko@debian.org>  Mon, 27 Oct 2008 07:29:54 +0000

python-tz (2008c-2) unstable; urgency=low

  * Do not use setuptools to build the package (the setup falls back to
    distutils).
  * Set version to 2008c. Closes: #489979.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Jul 2008 10:21:45 +0200

python-tz (2008c-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 08 Jul 2008 09:12:42 +0200

python-tz (2008b-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 23 Apr 2008 10:01:59 +0200

python-tz (2008a-2) unstable; urgency=low

  * debian/control: really fix dependencies on python, thanks dato.
    (Closes: #450740)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 15 Apr 2008 08:40:51 +0200

python-tz (2008a-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: updated. (Closes: #450014)
  * debian/control: fixed dependencies on python. (Closes: #450740)

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 19 Mar 2008 09:11:43 +0100

python-tz (2007d-1) unstable; urgency=low

  * New upstream release (Closes: 415458)
  * Revert patch ignoring arch files, it's not necessary any and conflicted
    with upstream.
  * Patch upstream to use /usr/share/zoneinfo and remove the included version,
    also depend on tzdata package. (Closes: 416202)
  * Write and install a testrunner that can run the pytz tests in
    /usr/lib/python-tz/test-pytxX.Y which tests pythonX.Y.
  * Build depends on python-central > 0.5, debhelper > 5.0.38
  * Remove workaround for python-central/debhelper breakage.

 -- Brian Sutherland <jinty@web.de>  Wed,  9 May 2007 12:01:36 +0200

python-tz (2006p-0.2) unstable; urgency=low

  * Fix watch file to look at the python cheeseshop.

 -- Brian Sutherland <brian@vanguardistas.net>  Sun,  6 May 2007 23:30:49 +0200

python-tz (2006p-0.1) unstable; urgency=low

  * NMU.
  * New upstream version, matching the version of the tzdata package.

 -- Matthias Klose <doko@debian.org>  Sun,  7 Jan 2007 11:42:00 +0100

python-tz (2006g-1) unstable; urgency=low

  * New upstream version.
  * Update to new python policy using python-central (Closes: #373361)

 -- Brian Sutherland <jinty@web.de>  Wed, 14 Jun 2006 17:54:32 +0200

python-tz (2005r-1) unstable; urgency=low

  * New upstream version.
  * Update watchfile to use qa.debian.org's re-director.
  * Bump standards version to 3.6.2.

 -- Brian Sutherland <jinty@web.de>  Sun,  1 Jan 2006 20:29:56 +0100

python-tz (2005m-1) unstable; urgency=low

  * New upstream version.

 -- Brian Sutherland <jinty@web.de>  Thu, 15 Sep 2005 14:45:50 +0200

python-tz (2005k-1) unstable; urgency=low

  * New upsteam version.
  * Debian specific patch removing extraneous she-bangs removed as it was
    accepted upstream.

 -- Brian Sutherland <jinty@web.de>  Mon,  5 Sep 2005 00:34:10 +0200

python-tz (2005i-2) unstable; urgency=low

  * Build python2.4 library so that the zope3-lib can depend on it, see
    #317742.
  * Replaces zope3-lib.
  * Patch setup.py to ignore .arch-ids directories.

 -- Brian Sutherland <jinty@web.de>  Fri, 29 Jul 2005 00:01:54 +0200

python-tz (2005i-1) unstable; urgency=low

  * New upstream release

 -- Brian Sutherland <jinty@web.de>  Tue, 31 May 2005 18:02:23 +0200

python-tz (2005a-1) unstable; urgency=low

  * Initial Release.

 -- Brian Sutherland <jinty@web.de>  Tue,  8 Feb 2005 02:14:33 +0100

=== debian/watch ===
version=3
http://pypi.python.org/pypi/pytz http://pypi.python.org/packages/source/p/pytz/pytz-(.*).tar.gz#md5=.*

## python-tz 2025.2

=== Makefile ===
# Build the pytz libraries
#

MAKE=make
SHELL=/bin/bash
PYTHON24=python2.4
PYTHON25=python2.5
PYTHON26=python2.6
PYTHON27=python2.7
PYTHON31=python3.1
PYTHON32=python3.2
PYTHON33=python3.3
PYTHON34=python3.4
PYTHON35=python3.5
PYTHON36=python3.6
PYTHON37=python3.7
PYTHON38=python3.8
PYTHON39=python3.9
PYTHON310=python3.10
PYTHON311=python3.11
PYTHON312=python3.12
PYTHON313=python3.13
PYTHON2=/usr/bin/python2
PYTHON3=/usr/bin/python3
PYTHON=${PYTHON3}
IANA=./tz
IANA_GIT=https://github.com/eggert/tz.git

TESTARGS=-vv
TARGET=
#TARGET=Europe/Amsterdam Europe/Moscow W-SU Etc/GMT+2 Atlantic/South_Georgia Europe/Warsaw Europe/Vilnius
#Mideast/Riyadh87
STYLESHEET=/usr/share/python-docutils/stylesheets/default.css

all: dist

check: test_tzinfo test_docs

build: .stamp-tzinfo


dist: build wheels
	cd build/dist && mkdir -p ../tarballs && \
	${PYTHON} setup.py -q sdist --dist-dir ../tarballs \
	    --formats=gztar

wheels:
	cd build/dist && mkdir -p ../tarballs
	cd build/dist && ${PYTHON} setup.py -q bdist_wheel --universal --dist-dir=../tarballs
	cd build/dist && ${PYTHON3} setup.py -q bdist_wheel --universal --dist-dir=../tarballs

upload: sign
	cd build/dist && ${PYTHON3} setup.py register
	twine upload build/tarballs/*.{whl,gz,asc}

sign:
	rm -f build/tarballs/*.asc
	for f in build/tarballs/*.{whl,zip,bz2,gz} ; do \
	    gpg --detach-sign -a $$f; \
	done

test: test_lazy test_tzinfo test_docs test_zdump

lint: .stamp-tzinfo
	flake8 --ignore=E402 build/dist gen_*.py test_zdump.py

clean:
	rm -f .stamp-*
	rm -rf build/*/* zdump.out
	make -C ${IANA} clean
	find . -name \*.pyc | xargs rm -f

test_lazy: .stamp-tzinfo
	cd build/dist/pytz/tests \
	    && ${PYTHON24} test_lazy.py ${TESTARGS} \
	    && ${PYTHON25} test_lazy.py ${TESTARGS} \
	    && ${PYTHON26} test_lazy.py ${TESTARGS} \
	    && ${PYTHON27} test_lazy.py ${TESTARGS} \
	    && ${PYTHON31} test_lazy.py ${TESTARGS} \
	    && ${PYTHON32} test_lazy.py ${TESTARGS} \
	    && ${PYTHON33} test_lazy.py ${TESTARGS} \
	    && ${PYTHON34} test_lazy.py ${TESTARGS} \
	    && ${PYTHON35} test_lazy.py ${TESTARGS} \
	    && ${PYTHON36} test_lazy.py ${TESTARGS} \
	    && ${PYTHON37} test_lazy.py ${TESTARGS} \
	    && ${PYTHON38} test_lazy.py ${TESTARGS} \
	    && ${PYTHON39} test_lazy.py ${TESTARGS} \
	    && ${PYTHON310} test_lazy.py ${TESTARGS} \
	    && ${PYTHON311} test_lazy.py ${TESTARGS} \
	    && ${PYTHON312} test_lazy.py ${TESTARGS}

test_tzinfo: .stamp-tzinfo
	cd build/dist/pytz/tests \
	    && ${PYTHON24} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON25} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON26} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON27} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON31} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON32} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON33} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON34} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON35} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON36} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON37} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON38} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON39} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON310} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON311} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON312} test_tzinfo.py ${TESTARGS}

test_docs: .stamp-tzinfo
	cd build/dist/pytz/tests \
	    && ${PYTHON3} test_docs.py ${TESTARGS} \
	    && ${PYTHON2} test_docs.py ${TESTARGS}

test_zdump: dist
	${PYTHON3} gen_tests.py ${TARGET} && \
	${PYTHON3} test_zdump.py ${TESTARGS} && \
	${PYTHON2} test_zdump.py ${TESTARGS} && \
	${PYTHON311} test_zdump.py ${TESTARGS}

build/dist/test_zdump.py: .stamp-zoneinfo

doc: docs

docs: dist
	mkdir -p build/docs/source/.static
	mkdir -p build/docs/built
	cp src/README.rst build/docs/source/index.txt
	cp conf.py build/docs/source/conf.py
	sphinx-build build/docs/source build/docs/built
	chmod -R og-w build/docs/built
	chmod -R a+rX build/docs/built

upload_docs: upload_docs_pythonhosted upload_docs_sf

upload_docs_sf: docs
	rsync -e ssh -ravP build/docs/built/ \
	    web.sourceforge.net:/home/project-web/pytz/htdocs/

upload_docs_pythonhosted: docs
	cd build/dist \
	    && ${PYTHON} setup.py upload_docs --upload-dir=../docs/built

.stamp-tzinfo: .stamp-zoneinfo gen_tzinfo.py build/etc/zoneinfo/GMT
	${PYTHON} gen_tzinfo.py ${TARGET}
	rm -rf build/dist/pytz/zoneinfo
	cp -a build/etc/zoneinfo build/dist/pytz/zoneinfo
	touch $@

.stamp-zoneinfo:
	${MAKE} -C ${IANA} ZFLAGS='-b fat' PACKRATDATA= TOPDIR=`pwd`/build USRDIR= USRSHAREDIR=etc install
	# Break hard links, working around http://bugs.python.org/issue8876.
	for d in zoneinfo zoneinfo-leaps zoneinfo-posix; do \
	    rm -rf `pwd`/build/etc/$$d.tmp; \
	    rsync -a `pwd`/build/etc/$$d/ `pwd`/build/etc/$$d.tmp; \
	    rm -rf `pwd`/build/etc/$$d; \
	    mv `pwd`/build/etc/$$d.tmp `pwd`/build/etc/$$d; \
	done
	touch $@

build/dist/locales/pytz.pot: .stamp-tzinfo
	@: #${PYTHON} gen_pot.py build/dist/pytz/locales/pytz.pot

#	cd build/dist; mkdir locales; \
#	pygettext --extract-all --no-location \
#	    --default-domain=pytz --output-dir=locales

# Switch to using a git subtree of https://github.com/eggert/tz
#
# IANA_URL=http://www.iana.org/time-zones/repository
# 
# sync:
# 	cd elsie.nci.nih.gov && \
# 	    rm -f tz{code,data}-latest.tar.gz{,.asc} && \
# 	    wget -S ${IANA_URL}/tzcode-latest.tar.gz && \
# 	    wget -S ${IANA_URL}/tzcode-latest.tar.gz.asc && \
# 	    gpg --verify tzcode-latest.tar.gz.asc tzcode-latest.tar.gz && \
# 	    wget -S ${IANA_URL}/tzdata-latest.tar.gz && \
# 	    wget -S ${IANA_URL}/tzdata-latest.tar.gz.asc && \
# 	    gpg --verify tzdata-latest.tar.gz.asc tzdata-latest.tar.gz && \
# 	    cd src && \
# 	    tar xzf ../tzcode-latest.tar.gz && \
# 	    tar xzf ../tzdata-latest.tar.gz && \
# 	    echo Done

sync: _sync clean

_sync:
	if [ -n "$(TAG)" ]; then \
	    git subtree pull --prefix=tz --squash $(IANA_GIT) $(TAG) \
		-m "IANA $(TAG)"; \
	else \
	    echo "Usage: make sync TAG=2016f"; \
	fi

.PHONY: all check dist test test_tzinfo test_docs test_zdump wheels build clean sync _sync

## python-tz 2011h

=== debian/changelog ===
python-tz (2011h-1) unstable; urgency=low

  * Team upload.

  [ Arnaud Fontaine ]
  * debian/watch:
    - fix URL.
  * debian/patches/tzdata:
    - update following new upstream release.
    - Add missing patch for tzfile.py. Thanks to Matt Giuca (Closes: #579704)
  * Add Python3 support. Thanks to Stefano Rivera (Closes: #641506)
  * Add debian/clean to get rid of egg-info/* to prevent FTBFS if
    built twice.

  [ Gediminas Paulauskas ]
  * Switch to dh_python2 (Closes: #617041):
  * Switch to source format 3.0 (quilt)
  * debian/control:
    - build-depend on python-all (not -dev)
    - remove Build-Depends on python-central, python-van.pydeb and quilt
    - add Vcs-Browser
  * debian/patches/tzdata: also remove import of pkg_resources (Closes: #599047)
  * debian/copyright: rewrite in dep5 format.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 21 Oct 2011 14:53:37 +0900

python-tz (2011h-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release (Closes: #616650)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 13 Sep 2011 20:04:04 -0400

=== debian/control ===
Source: python-tz
Section: python
Priority: optional
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python3-all,
               python-setuptools,
               python3-setuptools
Standards-Version: 3.9.2
Homepage: http://pypi.python.org/pypi/pytz/
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-zope/python-tz/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/python-tz/trunk

Package: python-tz
Architecture: all
Depends: tzdata, ${python:Depends}, ${misc:Depends}
Description: Python version of the Olson timezone database
 python-tz brings the Olson tz database into Python. This library allows
 accurate and cross platform timezone calculations using Python 2.3 or higher.
 It also solves the issue of ambiguous times at the end of daylight savings,
 which you can read more about in the Python Library Reference
 (datetime.tzinfo).

Package: python3-tz
Architecture: all
Depends: tzdata, ${python3:Depends}, ${misc:Depends}
Description: Python3 version of the Olson timezone database
 python-tz brings the Olson tz database into Python. This library allows
 accurate and cross platform timezone calculations using Python 2.3 or higher.
 It also solves the issue of ambiguous times at the end of daylight savings,
 which you can read more about in the Python Library Reference
 (datetime.tzinfo).
 .
 This package contains the Python 3 version of the library.

## python-tz 2011k

=== debian/changelog ===
python-tz (2011k-0ubuntu6) quantal; urgency=low

  * Merge with Debian unstable (now builds for Python 3)
  * Bump standards version to 3.9.3
  * Add metadata to tzdata patch
  * Remove zoneinfo data from python3-tz package

 -- Thomas Kluyver <thomas@kluyver.me.uk>  Sat, 12 May 2012 11:25:52 +0100

python-tz (2011k-0ubuntu5) precise; urgency=low

  * Disable testsuite

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 28 Feb 2012 10:36:56 -0500

python-tz (2011k-0ubuntu4) precise; urgency=low

  * debian/rules: Run testsuite.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 28 Feb 2012 10:32:00 -0500

python-tz (2011k-0ubuntu3) precise; urgency=low

  [ Forest Bond ]
  * Add patch samoa-idl (LP: #885163).

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 06 Jan 2012 10:29:22 -0800

python-tz (2011k-0ubuntu2) precise; urgency=low

  * debian/patches/tzdata: Restore patch to use tzdata package for
    timezone information.  This was lost during the last Debian merge.
    (LP: #884890).

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 08 Nov 2011 15:47:51 -0500

python-tz (2011k-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Debian testing/unstable version 2011h is no longer available upstream.
  * Merge with Debian testing.  Remaining Ubuntu changes:
    - Switch to dh_python2 (LP: #831411, Closes: #617041).
    - debian/control: build-depend on python-all (not -dev).

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 21 Oct 2011 14:01:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: python-tz
 Section: python
 Priority: optional
-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
-Uploaders: Brian Sutherland <brian@vanguardistas.net>,
-           Fabio Tranchitella <kobold@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Uploaders: Brian Sutherland <brian@vanguardistas.net>, Fabio Tranchitella <kobold@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
                python3-all,
                python-setuptools,
                python3-setuptools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pypi.python.org/pypi/pytz/
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.1

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=python-tz
PACKAGE_PYTHON3=python3-tz

PYVERS:=$(shell pyversions -r)
PY3VERS:=$(shell py3versions -r)

%:
	dh --with python2 --with python3 $@

override_dh_auto_build:
	dh_auto_build -p$(PACKAGE)

	set -e; \
	for python in $(PY3VERS); do \
		$$python setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install -p$(PACKAGE) --destdir=$(CURDIR)/debian/$(PACKAGE)

	set -ex; \
	for python in $(PY3VERS); do \
		$$python setup.py install --install-layout=deb \
			--root=$(CURDIR)/debian/$(PACKAGE_PYTHON3); \
	done

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_install:
	dh_install

	# install our testing package
	install -D debian/test-pytz debian/python-tz/usr/lib/python-tz/test-pytz.py

	# remove zoneinfo, our patch to pytz makes it use the one from tzdata
	rm -rf debian/python-tz/usr/lib/python*/*-packages/pytz/zoneinfo
	rm -rf debian/python3-tz/usr/lib/python*/*-packages/pytz/zoneinfo

#override_dh_auto_test:
#	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion $(CURDIR)/pytz/tests/test_tzinfo.py ; done

## python-tz 2012c

=== debian/changelog ===
python-tz (2012c-1ubuntu0.1) trusty; urgency=medium

  * debian/patches/use_utf8_encoding.patch:
    - use utf8 encoding to be compatible with new tzdata versions 
      (lp: #1473533)

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 02 Oct 2015 09:38:53 -0500

python-tz (2012c-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:53:17 +0000

python-tz (2012c-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
    + Update upstream copyright years.
  * debian/docs:
    + Drop PKG-INFO as the useful content is the same as README.txt.
    + Drop CHANGES.txt as dh_installchangelogs already takes care of it.
  * debian/control: bump Standards-Version to 3.9.3.
    + debian/copyright: Update Format URL as DEP5 has been accepted.
  * Remove debian/clean in favor of ignoring egg-info directory in
    debian/source/options to avoid diff of files in this directory.
  * debian/patch/tzdata: add patch information (merge from Ubuntu package).

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 06 Jun 2012 11:10:31 +0900

=== debian/rules ===
--- 
+++ 
@@ -37,9 +37,4 @@
 	install -D debian/test-pytz debian/python-tz/usr/lib/python-tz/test-pytz.py
 
 	# remove zoneinfo, our patch to pytz makes it use the one from tzdata
-	rm -rf debian/python-tz/usr/lib/python*/*-packages/pytz/zoneinfo
-	rm -rf debian/python3-tz/usr/lib/python*/*-packages/pytz/zoneinfo
-
-#override_dh_auto_test:
-#	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion $(CURDIR)/pytz/tests/test_tzinfo.py ; done
-
+	rm -rf debian/python*-tz/usr/lib/python*/*-packages/pytz/zoneinfo

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pytz/pytz-(.*).tar.gz

## python-tz 2012c+dfsg

=== debian/changelog ===
python-tz (2012c+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack without zoneinfo files. (Closes: #714346)
    + Add pytz/zoneinfo to Files-Excluded in d/copyright.
    + Add dversionmangle to d/watch.
    + Patch setup.py to not install zoneinfo files.
    + Remove removal of zoneinfo files from d/rules.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 12 Nov 2014 22:19:38 +0100

## python-tz 2014.10~dfsg1

=== debian/changelog ===
python-tz (2014.10~dfsg1-0ubuntu2) wily; urgency=medium

  * debian/patches/use_utf8_encoding.patch:
    - use utf8 encoding to be compatible with new tzdata versions 
      (lp: #1473533)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 29 Sep 2015 15:08:16 +0200

python-tz (2014.10~dfsg1-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * d/repack*: Add helper to repack orig.tar.gz without zoneinfo files.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Feb 2015 11:15:29 +0000

=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,3 @@
 
 	# install our testing package
 	install -D debian/test-pytz debian/python-tz/usr/lib/python-tz/test-pytz.py
-
-	# remove zoneinfo, our patch to pytz makes it use the one from tzdata
-	rm -rf debian/python*-tz/usr/lib/python*/*-packages/pytz/zoneinfo

## python-tz 2016.7

=== debian/changelog ===
python-tz (2016.7-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from upstream to assume tzdata/2017a abbreviations for
    timezones. Thanks to Graham Inggs for forwarding this to the BTS.
    (Closes: #858133)
    - Build-depend on tzdata 2017a, since the tests will now fail in the
      opposite way with older tzdata

 -- Simon McVittie <smcv@debian.org>  Sun, 02 Apr 2017 17:20:24 +0100

python-tz (2016.7-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Simplify build, enable tests, loosely following Arnaud Fontaine's
    suggestions

 -- Hilko Bengen <bengen@debian.org>  Fri, 25 Nov 2016 12:05:08 +0100

python-tz (2016.7-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 2016.7 (Closes: #824374)
  * Add tzdata build-dependency (Closes: #839460)
  * Re-enable, rebase zoneinfo patch
  * Modernize package (Closes: #674083)
    * Bump Standards-Version
    * Bump Debhelper version, simplify debian/rules

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Nov 2016 23:55:03 +0100

python-tz (2015.7+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload. (Closes: #792192)
  * New upstream release. (Closes: #799720)
  * Run unit tests in each stage of the build.

 -- Neil Williams <codehelp@debian.org>  Sat, 20 Feb 2016 10:05:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: python-tz
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
-Uploaders: Brian Sutherland <brian@vanguardistas.net>, Fabio Tranchitella <kobold@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Uploaders: Brian Sutherland <brian@vanguardistas.net>,
+           Fabio Tranchitella <kobold@debian.org>
+Build-Depends: debhelper (>= 9~), dh-python,
                python-all (>= 2.6.6-3~),
                python3-all,
                python-setuptools,
-               python3-setuptools
-Standards-Version: 3.9.3
+               python3-setuptools,
+               python-pytest,
+               python3-pytest,
+               tzdata (>= 2017a),
+Standards-Version: 3.9.8
 Homepage: http://pypi.python.org/pypi/pytz/
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.1

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tz

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --before-test="\
		cp $(CURDIR)/README.txt {build_dir}; \
		cp -r $(CURDIR)/pytz/tests {build_dir}/pytz/" \
		--after-test="rm -rf {build_dir}/README.txt {build_dir}/pytz/tests"

## python-tz 2017.2

=== debian/changelog ===
python-tz (2017.2-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Jun 2017 06:39:14 +0100

python-tz (2017.2-1) experimental; urgency=medium

  * New Maintainer. Move Zope team to Uploaders. Closes: #859421
  * New upstream release. Closes: #859096
  * Move to DH_COMPAT=10
  * Acknowledge previous NMUs. Closes: #845495.:wq
  
 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Apr 2017 11:21:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: python-tz
 Section: python
 Priority: optional
-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
-Uploaders: Brian Sutherland <brian@vanguardistas.net>,
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders:  Alastair McKinstry <mckinstry@debian.org>,
+           Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>,
+	   Brian Sutherland <brian@vanguardistas.net>,
            Fabio Tranchitella <kobold@debian.org>
-Build-Depends: debhelper (>= 9~), dh-python,
+Build-Depends: debhelper (>= 10~), dh-python,
                python-all (>= 2.6.6-3~),
                python3-all,
                python-setuptools,

## python-tz 2018.3

=== debian/changelog ===
python-tz (2018.3-2) unstable; urgency=medium

  * Typo in patch breaks zoneinf path. Closes: #890479
  
 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Feb 2018 07:15:04 +0000

python-tz (2018.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.3
  * Remove Brian Sutherland from Uploaders List. Thanks Brian fro all your
    work!. Closes: #869441
  * Closing old bug report not reproducible. Closes: #585875
  * Don't ship zoneinfo files as we use the system versions.  Drop 
    incorrect Exclusion note in d/copyright. Closes: #884079

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Feb 2018 13:38:48 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:  Alastair McKinstry <mckinstry@debian.org>,
            Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>,
-	   Brian Sutherland <brian@vanguardistas.net>,
            Fabio Tranchitella <kobold@debian.org>
 Build-Depends: debhelper (>= 10~), dh-python,
                python-all (>= 2.6.6-3~),
@@ -14,7 +13,7 @@
                python-pytest,
                python3-pytest,
                tzdata (>= 2017a),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://pypi.python.org/pypi/pytz/
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.1

## python-tz 2018.5

=== debian/changelog ===
python-tz (2018.5-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.4
  * Drop obsolete X-Python* clauses from d/control
  * Point VCS at salsa.d.o

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Jul 2018 10:07:18 +0100

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,10 @@
                python-pytest,
                python3-pytest,
                tzdata (>= 2017a),
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://pypi.python.org/pypi/pytz/
-X-Python-Version: >= 2.4
-X-Python3-Version: >= 3.1
-Vcs-Svn: svn://svn.debian.org/svn/pkg-zope/python-tz/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/python-tz/trunk
+Vcs-Browser: https://salsa.debian.org:/mckinstry/python-tz.git
+Vcs-Git: https://salsa.debian.org:/mckinstry/python-tz.git
 
 Package: python-tz
 Architecture: all

## python-tz 2018.9

=== debian/changelog ===
python-tz (2018.9-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Jan 2019 13:55:01 +0000

python-tz (2018.7-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Oct 2018 11:50:42 +0000

python-tz (2018.6-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version:4.2.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Oct 2018 14:48:28 +0100

## python-tz 2019.1

=== debian/changelog ===
python-tz (2019.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Apr 2019 15:07:08 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python-pytest,
                python3-pytest,
                tzdata (>= 2017a),
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://pypi.python.org/pypi/pytz/
 Vcs-Browser: https://salsa.debian.org:/mckinstry/python-tz.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/python-tz.git

## python-tz 2019.2

=== debian/changelog ===
python-tz (2019.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.0
  * Use debhelper-compat (= 12)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Aug 2019 17:48:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:  Alastair McKinstry <mckinstry@debian.org>,
            Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>,
            Fabio Tranchitella <kobold@debian.org>
-Build-Depends: debhelper (>= 10~), dh-python,
+Build-Depends: debhelper-compat (= 12), dh-python,
                python-all (>= 2.6.6-3~),
                python3-all,
                python-setuptools,
@@ -13,7 +13,7 @@
                python-pytest,
                python3-pytest,
                tzdata (>= 2017a),
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: http://pypi.python.org/pypi/pytz/
 Vcs-Browser: https://salsa.debian.org:/mckinstry/python-tz.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/python-tz.git

## python-tz 2019.3

=== debian/changelog ===
python-tz (2019.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Oct 2019 15:05:24 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python-pytest,
                python3-pytest,
                tzdata (>= 2017a),
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1.0
 Homepage: http://pypi.python.org/pypi/pytz/
 Vcs-Browser: https://salsa.debian.org:/mckinstry/python-tz.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/python-tz.git

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 %:
 	dh $@ --with=python2,python3 --buildsystem=pybuild
 
+
+override_dh_auto_install:
+	dh_auto_install
+	# Use system zoneinfo dir
+	rm -fr debian/python*-tz/usr/lib/*/dist-packages/pytz/zoneinfo
+
 override_dh_auto_test:
 	dh_auto_test -- --before-test="\
 		cp $(CURDIR)/README.txt {build_dir}; \

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
 http://pypi.python.org/packages/source/p/pytz/pytz-(.*).tar.gz

## python-tz 2020.1

=== debian/changelog ===
python-tz (2020.1-2) unstable; urgency=medium

  * Drop python2 support; Closes: #938234

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Jul 2020 00:02:18 -0400

python-tz (2020.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.0
  * Update d/copyright (year)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 May 2020 10:43:57 +0100

python-tz (2019.3-2) unstable; urgency=medium

  * debian/control
    - update Vcs-* fields to point to DPMT salsa repo
  * Dont run unittests for python2 binary, to reduce pytest rdeps 

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 22:37:17 -0400

=== debian/control ===
Source: python-tz
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:  Alastair McKinstry <mckinstry@debian.org>,
           Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>,
           Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest,
               tzdata (>= 2017a),
Standards-Version: 4.5.0
Homepage: http://pypi.python.org/pypi/pytz/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tz
Vcs-Git: https://salsa.debian.org/python-team/modules/python-tz.git

Package: python3-tz
Architecture: all
Depends: tzdata, ${python3:Depends}, ${misc:Depends}
Description: Python3 version of the Olson timezone database
 python-tz brings the Olson tz database into Python. This library allows
 accurate and cross platform timezone calculations using Python 2.3 or higher.
 It also solves the issue of ambiguous times at the end of daylight savings,
 which you can read more about in the Python Library Reference
 (datetime.tzinfo).
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tz

%:
	dh $@ --with=python3 --buildsystem=pybuild


override_dh_auto_install:
	dh_auto_install
	# Use system zoneinfo dir
	rm -fr debian/python*-tz/usr/lib/*/dist-packages/pytz/zoneinfo

override_dh_auto_test:
	dh_auto_test -- --before-test="\
		cp $(CURDIR)/README.rst {build_dir}; \
		cp -r $(CURDIR)/pytz/tests {build_dir}/pytz/" \
		--after-test="rm -rf {build_dir}/README.rst {build_dir}/pytz/tests"

## python-tz 2021.1

=== debian/changelog ===
python-tz (2021.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Feb 2021 11:21:39 +0000

python-tz (2020.5-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1
  * debhelper level 13

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Dec 2020 08:27:25 +0000

python-tz (2020.4-2) unstable; urgency=medium

  * Fix regression, remove python2 support. Closes: #938234

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Nov 2020 18:19:49 +0000

python-tz (2020.4-1) unstable; urgency=medium

  * New upstream release
  * Update tzdata dependency to 2020d
  * Change dh-python dependency to dh-sequence-python3
  * Update vcs link, d/watch to point to https
  * Change Maintainer to Debian Python Team

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Nov 2020 09:02:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: python-tz
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian  Python Team <team+python@tracker.debian.org>
 Uploaders:  Alastair McKinstry <mckinstry@debian.org>,
            Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>,
            Fabio Tranchitella <kobold@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python,
-               python3-all,
+Build-Depends: debhelper-compat (= 13), 
+	       dh-sequence-python3,
+               python3-all, 
                python3-setuptools,
                python3-pytest,
-               tzdata (>= 2017a),
-Standards-Version: 4.5.0
-Homepage: http://pypi.python.org/pypi/pytz/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tz
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-tz.git
+               tzdata (>= 2020d),
+Standards-Version: 4.5.1
+Homepage: https://pypi.python.org/pypi/pytz/
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tz
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-tz.git -b debian/latest
 
 Package: python3-tz
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=tz
 
 %:
-	dh $@ --with=python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 
 override_dh_auto_install:

## python-tz 2022.1

=== debian/changelog ===
python-tz (2022.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Mar 2022 09:41:27 +0000

python-tz (2021.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0
  * Build against tzdata zoneinfo, not our own copy

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Sep 2021 20:26:18 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-setuptools,
                python3-pytest,
                tzdata (>= 2020d),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://pypi.python.org/pypi/pytz/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tz
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tz.git -b debian/latest

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 %:
 	dh $@ --buildsystem=pybuild
 
+override_dh_auto_clean:
+	rm -rf pytz/zoneinfo
+
+override_dh_auto_configure:
+	ln -s /usr/share/zoneinfo pytz/zoneinfo
+	dh_auto_configure
 
 override_dh_auto_install:
 	dh_auto_install

## python-tz 2022.2.1

=== debian/changelog ===
python-tz (2022.2.1-1ubuntu0.22.10.0) kinetic; urgency=medium

  * Dynamically determine list of available and common timezones (LP: #207604)
  * Determine IANA (nee Olson) database version dynamically
  * Add autopkgtests to run unittest and own regression tests

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 21 Mar 2023 12:05:43 +0100

python-tz (2022.2.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1017193
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Aug 2022 16:12:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-tz
 Section: python
 Priority: optional
-Maintainer: Debian  Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian  Python Team <team+python@tracker.debian.org>
 Uploaders:  Alastair McKinstry <mckinstry@debian.org>,
            Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>,
            Fabio Tranchitella <kobold@debian.org>
@@ -11,7 +12,7 @@
                python3-setuptools,
                python3-pytest,
                tzdata (>= 2020d),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://pypi.python.org/pypi/pytz/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tz
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tz.git -b debian/latest

## python-tz 2022.7.1

=== debian/changelog ===
python-tz (2022.7.1-4) unstable; urgency=medium

  * Update test_all_timezones_count for tzdata 2023c-4, which removed
    Asia/Hanoi again.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 10 May 2023 11:35:44 +0200

python-tz (2022.7.1-3) unstable; urgency=medium

  * Team upload.
  * Fix testVersion to not complain about the now dynamic Olson version

 -- Benjamin Drung <bdrung@debian.org>  Mon, 27 Mar 2023 17:17:53 +0200

python-tz (2022.7.1-2) unstable; urgency=medium

  * Team upload.
  * Dynamically determine list of available and common timezones (LP: #207604)
  * Determine IANA (nee Olson) database version dynamically
  * Add autopkgtests to run unittest and own regression tests
  * Update homepage URL
  * Bump Standards-Version to 4.6.2

 -- Benjamin Drung <bdrung@debian.org>  Tue, 21 Mar 2023 11:21:11 +0100

python-tz (2022.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Jan 2023 10:24:50 +0000

python-tz (2022.7-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Dec 2022 09:53:51 +0000

python-tz (2022.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 04 Nov 2022 11:03:02 +0000

python-tz (2022.5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 23 Oct 2022 15:41:45 +0100

python-tz (2022.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * Use secure copyright file specification URI.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 12:26:52 +0100

python-tz (2022.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 06 Oct 2022 09:48:05 +0100

python-tz (2021.3-2) UNRELEASED; urgency=medium

  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on tzdata.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 24 Mar 2022 15:51:01 -0000

=== debian/control ===
Source: python-tz
Section: python
Priority: optional
Maintainer: Debian  Python Team <team+python@tracker.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>,
           Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>,
           Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest,
               python3-setuptools,
               tzdata
Standards-Version: 4.6.2
Homepage: https://pythonhosted.org/pytz/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tz
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tz.git -b debian/latest

Package: python3-tz
Architecture: all
Depends: tzdata, ${misc:Depends}, ${python3:Depends}
Description: Python3 version of the Olson timezone database
 python-tz brings the Olson tz database into Python. This library allows
 accurate and cross platform timezone calculations using Python 2.3 or higher.
 It also solves the issue of ambiguous times at the end of daylight savings,
 which you can read more about in the Python Library Reference
 (datetime.tzinfo).
 .
 This package contains the Python 3 version of the library.

=== debian/tests/control ===
Test-Command: cp -r pytz/tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP" && rm -f tests/test_docs.py && touch tests/__init__.py && python3 -m unittest discover -v
Depends: python3, python3-tz
Restrictions: allow-stderr
Features: test-name=unittest

Tests: regression
Depends: python3, python3-tz
Restrictions: allow-stderr

## python-tz 2023.3

=== debian/changelog ===
python-tz (2023.3-4) unstable; urgency=medium

  * Team upload.
  * test: Replace legacy US/Eastern by America/New_York to avoid tzdata-legacy
  * Depend on tzdata-legacy for regression autopkgtest

 -- Benjamin Drung <bdrung@debian.org>  Thu, 10 Aug 2023 14:24:44 +0200

python-tz (2023.3-3) unstable; urgency=medium

  * Team upload.
  * Fix Dynamically-determine-list-of-available-and-common-timezo.patch:
    _read_timezones_from_zone_tab() and _extra_common_timezones_set should
    be distinct.
  * Retore change from 2022.7.1-4: Update test_all_timezones_count for
    tzdata 2023c-4, which removed Asia/Hanoi again.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 23 Jun 2023 22:10:59 +0200

python-tz (2023.3-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 11:15:15 +0100

python-tz (2023.3-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Jun 2023 10:42:37 +0100

python-tz (2023.2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Mar 2023 17:17:47 +0100

## python-tz 2024.1

=== debian/changelog ===
python-tz (2024.1-2) unstable; urgency=medium

  * Team upload.
  * Restore patch to determine IANA database version dynamically

 -- Benjamin Drung <bdrung@debian.org>  Thu, 22 Feb 2024 16:18:38 +0100

python-tz (2024.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Feb 2024 07:13:11 +0000

python-tz (2023.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Feb 2024 08:30:43 +0000

python-tz (2023.3.post1-2) unstable; urgency=medium

  * Treat regex match string as raw. Closes: #1056538, #1056246

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Dec 2023 08:14:00 +0000

python-tz (2023.3.post1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Sep 2023 11:28:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=tz
 
 %:
-	dh $@ --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild --builddir=debian/build
 
 override_dh_auto_clean:
 	rm -rf pytz/zoneinfo

## python-tz 2024.2

=== debian/changelog ===
python-tz (2024.2-1) unstable; urgency=medium

  * New upstream release
  * Clean properly to allow double-builds. Closes: #1045309

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Dec 2024 12:37:36 +0000

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 override_dh_auto_clean:
 	rm -rf pytz/zoneinfo
+	rm -rf .pybuild .pytest_cache
 
 override_dh_auto_configure:
 	ln -s /usr/share/zoneinfo pytz/zoneinfo

## python-tz 2025.1

=== debian/changelog ===
python-tz (2025.1-3) unstable; urgency=medium

  * Fix the version in breaks/replaces. Closes: #1095585

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Feb 2025 12:08:51 +0000

python-tz (2025.1-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Feb 2025 10:02:43 +0000

python-tz (2025.1-1) experimental; urgency=medium

  * New upstream release
  * Changing binary python3-tz -> python3-pytz per policy;
    module is loaded "import pytz"

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Feb 2025 12:22:17 +0000

=== debian/control ===
--- 
+++ 
@@ -11,19 +11,29 @@
                python3-pytest,
                python3-setuptools,
                tzdata
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://pythonhosted.org/pytz/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tz
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tz.git -b debian/latest
 
-Package: python3-tz
+Package: python3-pytz
 Architecture: all
 Depends: tzdata, ${misc:Depends}, ${python3:Depends}
+Breaks: python3-tz (<< 2025.1-2)
+Replaces: python3-tz (<< 2025.1-2)
 Description: Python3 version of the Olson timezone database
- python-tz brings the Olson tz database into Python. This library allows
+ python3-pytz brings the Olson tz database into Python. This library allows
  accurate and cross platform timezone calculations using Python 2.3 or higher.
  It also solves the issue of ambiguous times at the end of daylight savings,
  which you can read more about in the Python Library Reference
  (datetime.tzinfo).
  .
  This package contains the Python 3 version of the library.
+
+
+Package: python3-tz
+Depends: python3-pytz, ${misc:Depends}
+Architecture: all
+Section: oldlibs
+Description: transitional package to rename python3-tz
+  This is a transitional package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export PYBUILD_NAME=tz
+export PYBUILD_NAME=pytz
 
 %:
 	dh $@ --buildsystem=pybuild --builddir=debian/build

=== debian/tests/control ===
--- 
+++ 
@@ -4,5 +4,5 @@
 Features: test-name=unittest
 
 Tests: regression
-Depends: python3, python3-tz
+Depends: python3, python3-tz, tzdata-legacy
 Restrictions: allow-stderr
